PROB(1)

NAME
	prob - compute Pr(T|S)

SYNOPSIS
        prob [--segment method] [--left-mask number] [--right-mask number]
            [--ssm number] [--ibd number] [--p-mut number] [--p-recomb number]
            [--str-fname filename] [--recomb-fname filename] [--no-recomb-sum]
            [--allele-freq] [--num-normals number] filename

DESCRIPTION
        Prob computes Pr(T|S), the probability of S being the ancestor
        haplotype of T.

OPTIONS
        --segment method         Method of computing Pr(segment), the
                                 probability of a haplotype segment. Choices:
                                 longest, independent. Default: longest
        --left-mask number       Gap number masking left of haplotypes.
                                 Default: (none)
        --right-mask number      Gap number masking right of haplotypes.
                                 Default: (none)
        --ssm number             Probability of a 1-step mutation given a
                                 mutation has occurred. Default: 10/11
        --ibd number             Relative probability of two haplotype
                                 fragments being identical-by-descent versus
                                 identical-by-chance. Default: 0.5
        --p-mut number           Probability of a mutation over the entire
                                 region spanned by the markers. Default: 0.01
        --p-recomb number        Probability of a recombination over the
                                 entire region spanned by the markers.
                                 Default: 0.01
        --str-fname filename     File containing sizes of the repeated units
                                 of the STR marker at each locus. Default:
                                 (none)
        --recomb-fname filename  File containing the relative probabilities of
                                 recombinations in each gap. Default: (none)
        --no-recomb-sum          Set this option to use a more conservative
                                 estimate of P(S-->T|recomb) by not summing
                                 over gaps between the disease and the
                                 probable recombination point. Default:
                                 (unset)
        --allele-freq            Set this option if the file of normal
                                 haplotypes contains allele frequencies
                                 instead of haplotypes. Default: (unset)
        --num-normals number     Number of normal haplotypes. If the file of
                                 normal haplotypes contains allele
                                 frequencies, then this needs to be specified.
                                 Otherwise, this sets the number of normal
                                 haplotypes to read from the file of normal
                                 haplotypes. If set to 0, then all of the
                                 normal haplotypes are used. Default: 0
        filename                 File containing normal haplotypes. This is
                                 used in computing Pr(segment).

AUTHOR
	Johnny C. Lam (lamj@stat.cmu.edu)
